/*	Filename:	columns.h

	Created	December 14, 2006	Brandon Fosdick <bfoz@bfoz.net>

	Copyright Terran Development Co 2005 (BSD License)
*/

#ifndef	COLUMNSH
#define	COLUMNSH

#include <string>

namespace log_dbd
{
	//column_extactor
	typedef const char* (*extractor_t)(request_rec*);

	//Column table struct
	struct column_t
	{
		char	formatSpecifier;	//Single character used in the format strings
		std::string columnName;	//The name of the table column to use
		extractor_t	get;			//Pointer to getter function
		std::string columnSQL;	//SQL type to create the column
		std::string columnComment;	//Text description for the column
	};

	extern const char allFormatSpecifiers[];
	extern const column_t	columns[];
}

#endif	//COLUMNSH
